<?php

namespace Litepie\Plano;

use DB;
use Illuminate\Database\Seeder;

class PlanoTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('planos')->insert([
            [
                "id"                  => '1',
                "titulo"              => 'Plano Básico',
                "descricao"           => 'Plano Básico',
                "preco"               => '39,90',
            ],
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'plano.plano.view',
                'name'      => 'View Plano',
            ],
            [
                'slug'      => 'plano.plano.create',
                'name'      => 'Create Plano',
            ],
            [
                'slug'      => 'plano.plano.edit',
                'name'      => 'Update Plano',
            ],
            [
                'slug'      => 'plano.plano.delete',
                'name'      => 'Delete Plano',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/plano/plano',
                'name'        => 'Plano',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/plano/plano',
                'name'        => 'Plano',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'plano',
                'name'        => 'Plano',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Plano',
                'module'    => 'Plano',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'plano.plano.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
