Lavalite package that provides plano management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litepie/plano`.

    "litepie/plano": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litepie\Plano\Providers\PlanoServiceProvider::class,

And also add it to alias

    'Plano'  => Litepie\Plano\Facades\Plano::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litepie\\PlanoTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litepie\Plano\Providers\PlanoServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepie\Plano\Providers\PlanoServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepie\Plano\Providers\PlanoServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/plano/{modulename}

**User**

    http://path-to-route-folder/user/plano/{modulename}

**Public**

    http://path-to-route-folder/planos


### API endpoints

**List**

    http://path-to-route-folder/api/user/plano/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/plano/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/plano/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/plano/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/plano/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/plano/{modulename}/{slug}
    METHOD: GET