<?php

namespace Litepie\Plano\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PlanoTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Plano\Models\Plano $plano)
    {
        return [
            'id'                => $plano->getRouteKey(),
            'key'               => [
                'public'    => $plano->getPublicKey(),
                'route'     => $plano->getRouteKey(),
            ], 
            'titulo'            => $plano->titulo,
            'descricao'         => $plano->descricao,
            'preco'             => $plano->preco,
            'url'               => [
                'public'    => trans_url('plano/'.$plano->getPublicKey()),
                'user'      => guard_url('plano/plano/'.$plano->getRouteKey()),
            ], 
            'status'            => trans('app.'.$plano->status),
            'created_at'        => format_date($plano->created_at),
            'updated_at'        => format_date($plano->updated_at),
        ];
    }
}